<?php $settings = $this->get_settings_for_display(); ?>

<div class="lkn-bio-modal">
    <div class="lkn-bio-modal-content">
        <div class="lkn-bio-modal-header">
            <h2><?php echo esc_html__('About the campaign creator', 'lkn-wp-crowdfunding-extension'); ?>
            </h2>
            <button id="lkn-close-bio-modal">&times;</button>
        </div>
        <hr class="lkn-hr">
        <div class="lkn-bio-modal-body">
            <?php if ($settings['show_name'] === 'yes') : ?>
            <p class="lkn-name">
                <strong><?php echo esc_html($full_name); ?></strong>
            </p>
            <?php endif; ?>

            <?php if ($settings['show_campaign_count'] === 'yes') : ?>
            <p class="lkn-campaign-count-modal"><strong><?php echo sprintf(
                // translators: Favorite campaign
                esc_html__('%1$d campaign(s) | %2$d favorite campaign(s)', 'lkn-wp-crowdfunding-extension'),
                esc_html($donation_count), // Escapa valores numéricos
                esc_html($favorite_count) // Escapa valores numéricos
            ); ?></strong></p>
            <?php endif; ?>

            <?php if ($settings['show_email'] === 'yes') : ?>
            <p><span><?php echo esc_html__('Email:', 'lkn-wp-crowdfunding-extension'); ?></span>
                <?php echo esc_html($email); ?></p>
            <?php endif; ?>

            <?php if ($settings['show_city'] === 'yes') : ?>
            <p><span><?php echo esc_html__('City:', 'lkn-wp-crowdfunding-extension'); ?></span>
                <?php echo esc_html($city); ?></p>
            <?php endif; ?>

            <?php if ($settings['show_state'] === 'yes') : ?>
            <p><span><?php echo esc_html__('State:', 'lkn-wp-crowdfunding-extension'); ?></span>
                <?php echo esc_html($state); ?></p>
            <?php endif; ?>

            <?php if ($settings['show_country'] === 'yes') : ?>
            <p><span><?php echo esc_html__('Country:', 'lkn-wp-crowdfunding-extension'); ?></span>
                <?php echo esc_html($country); ?></p>
            <?php endif; ?>

            <?php if ($settings['show_registration_date'] === 'yes') : ?>
            <p><span><?php echo esc_html__('Registered at:', 'lkn-wp-crowdfunding-extension'); ?></span>
                <?php echo esc_html($registration_date); ?></p>
            <?php endif; ?>
        </div>
    </div>
</div>